Gremlin Resources - Delete Gremlin Database
Hiermee verwijdert u een bestaande Azure Cosmos DB Gremlin-database.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/databaseAccounts/{accountName}/gremlinDatabases/{databaseName}?api-version=2026-03-15
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 3maxLength: 50 pattern: ^[a-z0-9]+(-[a-z0-9]+)* |
Accountnaam van de Cosmos DB-database. |
|
database
|
path | True |
string |
Cosmos DB-databasenaam. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resource group. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string (uuid) |
De ID van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Resourcebewerking geaccepteerd. Kopteksten
|
|
| 204 No Content |
Er is geen inhoud om voor dit verzoek te verzenden, maar de headers kunnen nuttig zijn. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
CosmosDBGremlinDatabaseDelete
Voorbeeldaanvraag
Voorbeeldrespons
Location: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2026-03-15
Azure-AsyncOperation: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2026-03-15
Definities
ErrorResponse
Reactie op fout.
| Name | Type | Description |
|---|---|---|
| code |
string |
Foutcode. |
| message |
string |
Foutbericht dat aangeeft waarom de bewerking is mislukt. |